$('#ndAuswahlassistent select').change(function() {
  console.log('change festgestellt');
	var iteration = $(this).data('iteration');
	var nextElement = iteration + 1;
	var pluginID = $('#ndAuswahlassistent').data('plugin-id');
	var pluginVersion = $('#ndAuswahlassistent').data('plugin-version');
	var merkmal1 = $('#ndAuswahlassistent #merkmal1').data('kmerkmal');
	var merkmal2 = $('#ndAuswahlassistent #merkmal2').data('kmerkmal');
	var merkmal3 = $('#ndAuswahlassistent #merkmal3').data('kmerkmal');
	var merkmalwert1 = $('#ndAuswahlassistent #merkmal1 :selected').val();
	var merkmalwert2 = $('#ndAuswahlassistent #merkmal2 :selected').val();
	var merkmalwert3 = $('#ndAuswahlassistent #merkmal2 :selected').val();
	var url = '/includes/plugins/' + pluginID + '/version/' + pluginVersion + '/frontend/includes/ajax.php?m1=' + merkmal1 + '&mw1=' + merkmalwert1 + '&m2=' + merkmal2 + '&mw2=' + merkmalwert2 + '&m3=' + merkmal3 + '&mw3=' + merkmalwert3 + '&action=holeMerkmal';
	console.log(url);
	
	if ($('#ndAuswahlassistent #merkmal' + nextElement).length) {
		
		destination = '#ndAuswahlassistent #merkmal' + nextElement;
		destination_hl = '#ndAuswahlassistent.highlight #merkmal' + nextElement;
		destination_puls = '#ndAuswahlassistent.pulsate #merkmal' + nextElement;
		//destination = '#console';
		$(destination).load(url, function() {
	
			source = '#ndAuswahlassistent #merkmal' + iteration;
			source_hl = '#ndAuswahlassistent.highlight #merkmal' + iteration;
			$(source_hl).selectpicker('setStyle', 'btn-default', 'remove');
			$(source_hl).selectpicker('setStyle', 'btn-primary');
			$(source).selectpicker('setStyle', 'bs-placeholder', 'remove');
			$(source).selectpicker('refresh');
			$(source).removeClass('bs-placeholder');
			
			$('#ndAuswahlLink').attr("disabled", true);
			$(destination).selectpicker('show');
			$(destination).prop("disabled", false);
			$(destination_hl).selectpicker('setStyle', 'btn-warning');
			$(destination_hl).selectpicker('setStyle', 'btn-default', 'remove');
			$(destination).selectpicker('refresh');
			$(destination).siblings('.disabled').removeClass('disabled').attr('aria-disabled', 'false');
			$(destination).parent('.bootstrap-select').removeClass('disabled').prop("disabled", false);
			if (typeof effect == 'function') {
				$(destination_puls).parent('.bootstrap-select').effect("pulsate");
			}
			console.log('ajax return 2');
		});
	} else {
		var url1 = '';
		var url2 = '';
		var url3 = '';
		if ($('#ndAuswahlassistent #merkmal1').length) 
			url1 = $('#ndAuswahlassistent #merkmal1 :selected').data('url');
		if ($('#ndAuswahlassistent #merkmal2').length) 
			url2 = $('#ndAuswahlassistent #merkmal2 :selected').data('url');
		if ($('#ndAuswahlassistent #merkmal3').length) 
			url3 = $('#ndAuswahlassistent #merkmal3 :selected').data('url');
		
		
			/* highlighting */
			source = '#ndAuswahlassistent #merkmal' + iteration;
			source_hl = '#ndAuswahlassistent.highlight #merkmal' + iteration;
			console.log('source: ' + source);
			$(source_hl).selectpicker('setStyle', 'btn-default', 'remove');
			$(source_hl).selectpicker('setStyle', 'btn-warning', 'remove');
			$(source_hl).selectpicker('setStyle', 'bs-placeholder', 'remove');
			$(source_hl).selectpicker('setStyle', 'btn-primary');
			$(source).selectpicker('setStyle', 'bs-placeholder', 'remove');
			$(source).selectpicker('refresh');
		
		$('#ndAuswahlLink').attr("href", '/' + url1 + url2 + url3).attr("disabled", false);
		if (typeof effect == 'function') {
			$('#ndAuswahlassistent.pulsate #ndAuswahlLink').effect("pulsate");
		}
		/*$('#ndAuswahlLink').trigger("click");*/
		/*window.setTimeout('window.location = "/' + url1 + url2 + url3 + '"',2000);*/
	}
});

$('#ndAuswahlassistent #deleteSelection').on('click touch', function() {
	$('#ndAuswahlassistent #merkmal1').selectpicker('val', '');
	$('#ndAuswahlassistent select[data-weitere="1"]').each(function () {
		$(this).html('<option value="" data-url="" selected="selected">' + $(this).data('default') + '</option>').prop("disabled", 'true').selectpicker('refresh');
		$('#ndAuswahlLink').attr("href", '').attr("disabled", true);
	});
});
							   