$('#ndAuswahlassistent select').change(function() {
	var iteration = $(this).data('iteration');
	var nextElement = iteration + 1;
	var pluginID = $('#ndAuswahlassistent').data('plugin-id');
	var pluginVersion = $('#ndAuswahlassistent').data('plugin-version');
	var merkmal1 = $('#ndAuswahlassistent #merkmal1').data('kmerkmal');
	var merkmal2 = $('#ndAuswahlassistent #merkmal2').data('kmerkmal');
	var merkmal3 = $('#ndAuswahlassistent #merkmal3').data('kmerkmal');
	var merkmalwert1 = $('#ndAuswahlassistent #merkmal1').val();
	var merkmalwert2 = $('#ndAuswahlassistent #merkmal2').val();
	var merkmalwert3 = $('#ndAuswahlassistent #merkmal3').val();
	var skip = 0;
	
	if (iteration == 1) {
		$('#ndAuswahlassistent #merkmal2').html('<option value="" data-url="">' + $('#ndAuswahlassistent #merkmal2').data('default') + '</option>');
		$('#ndAuswahlassistent #merkmal2').selectpicker('setStyle', 'btn-default');
		$('#ndAuswahlassistent #merkmal2').selectpicker('setStyle', 'btn-primary', 'remove');
		$('#ndAuswahlassistent #merkmal2').selectpicker('setStyle', 'btn-warning', 'remove');
		$('#ndAuswahlassistent #merkmal2').addClass('disabled').prop("disabled", true);
		$('#ndAuswahlassistent #merkmal2').selectpicker('refresh');
		merkmalwert2 = '';
		$('#ndAuswahlassistent #merkmal3').html('<option value="" data-url="">' + $('#ndAuswahlassistent #merkmal3').data('default') + '</option>');
		$('#ndAuswahlassistent #merkmal3').selectpicker('setStyle', 'btn-default');
		$('#ndAuswahlassistent #merkmal3').selectpicker('setStyle', 'btn-primary', 'remove');
		$('#ndAuswahlassistent #merkmal3').selectpicker('setStyle', 'btn-warning', 'remove');
		$('#ndAuswahlassistent #merkmal3').addClass('disabled').prop("disabled", true);
		$('#ndAuswahlassistent #merkmal3').selectpicker('refresh');
		merkmalwert3 = '';
	}
	
	var url = '/includes/plugins/' + pluginID + '/version/' + pluginVersion + '/frontend/includes/ajax.php?m1=' + merkmal1 + '&mw1=' + merkmalwert1 + '&m2=' + merkmal2 + '&mw2=' + merkmalwert2 + '&m3=' + merkmal3 + '&mw3=' + merkmalwert3 + '&action=holeMerkmal';
	console.log(url);
  	console.log('change festgestellt: auswahl: ' + iteration + ', wahl: ' + $(this).val());
	
	if ($('#ndAuswahlassistent #merkmal' + nextElement).length) {
		
		destination = '#ndAuswahlassistent #merkmal' + nextElement;
		destination_hl = '#ndAuswahlassistent.highlight #merkmal' + nextElement;
		destination_puls = '#ndAuswahlassistent.pulsate #merkmal' + nextElement;
		//destination = '#console';
		$(destination).load(url, function() {
			source = '#ndAuswahlassistent #merkmal' + iteration;
			source_hl = '#ndAuswahlassistent.highlight #merkmal' + iteration;
			$(source_hl).selectpicker('setStyle', 'btn-default', 'remove');
			$(source_hl).selectpicker('setStyle', 'btn-warning', 'remove');
			$(source_hl).selectpicker('setStyle', 'btn-primary');
			$(source).selectpicker('setStyle', 'bs-placeholder', 'remove');
			$(source).selectpicker('refresh');
			$(source).removeClass('bs-placeholder');
			$('#ndAuswahlLink').attr("disabled", true);

			console.log('$(destination).length: ' + $(destination).html().length);
			if ($(destination).html().length) {
				skip = 0;
				$(destination).selectpicker('show');
				$(destination).prop("disabled", false);
				$(destination_hl).selectpicker('setStyle', 'btn-warning');
				$(destination_hl).selectpicker('setStyle', 'btn-default', 'remove');
				$(destination).selectpicker('refresh');
				$(destination).siblings('.disabled').removeClass('disabled').attr('aria-disabled', 'false');
				$(destination).parent('.bootstrap-select').removeClass('disabled').prop("disabled", false);
				if ($.fn.effect) {
					$(destination_puls).parent('.bootstrap-select').effect("pulsate");
					console.log('pulse effect anwenden')
				} else {
					console.log('keine effect function')
				}
				console.log('ajax return 2');
				
			} else {
				skip = nextElement;
				console.log('skip next: ' + skip);
				$(destination).html('<option>' + $(destination).data('keine-auswahl') + '</option>');
				$(destination).selectpicker('refresh');
				endOfChoosing(skip, source, iteration);
			}
		});
	} else {
		endOfChoosing(skip, source, iteration)
	}
});

$('#ndAuswahlassistent #deleteSelection').on('click touch', function() {
	$('#ndAuswahlassistent #merkmal1').selectpicker('val', '');
	$('#ndAuswahlassistent select[data-weitere="1"]').each(function () {
		$(this).html('<option value="" data-url="" selected="selected">' + $(this).data('default') + '</option>')
			.prop("disabled", 'true')
			.selectpicker('setStyle', 'btn-primary', 'remove')
			.selectpicker('setStyle', 'btn-warning', 'remove')
			.selectpicker('setStyle', 'btn-default')
			.selectpicker('refresh');
		$('#ndAuswahlLink').attr("href", '').attr("disabled", true);
	});
});


function endOfChoosing(skip, source, iteration) {
	var url = '';
	console.log('iteration: ' + iteration + '; skip: ' + skip);
	for (var i = 1; i <= iteration; i++) {
		if ($('#ndAuswahlassistent #merkmal' + i).length) 
			url = url + $('#ndAuswahlassistent #merkmal' + i + ' option:selected').data('url');
	}

	/* highlighting */
	source = '#ndAuswahlassistent #merkmal' + iteration;
	source_hl = '#ndAuswahlassistent.highlight #merkmal' + iteration;
	console.log('source: ' + source);
	$(source_hl).selectpicker('setStyle', 'btn-default', 'remove');
	$(source_hl).selectpicker('setStyle', 'btn-warning', 'remove');
	$(source_hl).selectpicker('setStyle', 'bs-placeholder', 'remove');
	$(source_hl).selectpicker('setStyle', 'btn-primary');
	$(source).selectpicker('setStyle', 'bs-placeholder', 'remove');
	$(source).selectpicker('refresh');

	$('#ndAuswahlLink').attr("href", '/' + url).attr("disabled", false);
	console.log('Link: ' + $('#ndAuswahlLink').attr('href'));
	if ($.fn.effect) {
		$('#ndAuswahlassistent.pulsate #ndAuswahlLink').effect("pulsate");
		console.log('pulse effect anwenden')
	} else {
		console.log('keine effect function')
	}

	if ($('#ndAuswahlassistent.redirect #ndAuswahlLink').length > 0) {
		/*$('#ndAuswahlLink').trigger("click");*/
		var nTime = $('#ndAuswahlassistent.redirect #ndAuswahlLink').data('redirect-time');
		window.setTimeout('window.location = "/' + url + '"',nTime*1000);
	}
}
							   